japa.parser.ast.type

## Class Type

- java.lang.Object
- - japa.parser.ast.Node
  - - japa.parser.ast.type.Type

Direct Known Subclasses:
  ClassOrInterfaceType, PrimitiveType, ReferenceType, VoidType, WildcardType

    public abstract class Type
    extends Node

### Constructor Summary

Constructors
Constructor and Description
`Type()`
`Type(int beginLine, int beginColumn, int endLine, int endColumn)`

### Method Summary

### Methods inherited from class japa.parser.ast.Node

`accept, accept, equals, getBeginColumn, getBeginLine, getData, getEndColumn, getEndLine, hashCode, setBeginColumn, setBeginLine, setData, setEndColumn, setEndLine, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Type

    public Type()

#### Type

    public Type(int beginLine,
        int beginColumn,
        int endLine,
        int endColumn)